/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicXYTriangulatingSeriesDescription } from "./GeographicXYTriangulatingSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicContourLineSeriesDescription extends GeographicXYTriangulatingSeriesDescription {
    constructor() {
        super();
        this.cd = null;
        this.ca = null;
        this.b8 = null;
        this.cc = null;
    }
    get_type() {
        return "GeographicContourLineSeries";
    }
    get valueMemberPath() {
        return this.cd;
    }
    set valueMemberPath(a) {
        this.cd = a;
        this.e("ValueMemberPath");
    }
    get fillScale() {
        return this.ca;
    }
    set fillScale(a) {
        this.ca = a;
        this.e("FillScale");
    }
    get valueResolver() {
        return this.b8;
    }
    set valueResolver(a) {
        this.b8 = a;
        this.e("ValueResolver");
    }
    get triangulationStatusChangedRef() {
        return this.cc;
    }
    set triangulationStatusChangedRef(a) {
        this.cc = a;
        this.e("TriangulationStatusChangedRef");
    }
}
GeographicContourLineSeriesDescription.$t = markType(GeographicContourLineSeriesDescription, 'GeographicContourLineSeriesDescription', GeographicXYTriangulatingSeriesDescription.$);
